HTTP endpoints
Get funding rate events
Paginated funding rate events for an instrument.
Parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| instrumentId | yes | string (decimal) | Instrument id (hex string, 0x...). |
| startRound | yes | integer (int64) | Optional start round (inclusive). |
| endRound | yes | integer (int64) | Optional end round (inclusive). |
| page_number | yes | integer | Zero-based page number. Accepts either a number or a numeric string. |
| page_size | yes | integer | Page size (number of items per page). Accepts either a number or a numeric string. |
Response fields
| Parameter | Required | Type | Description |
|---|---|---|---|
events | yes | object[] | Funding rate events for the requested instrument. |
events[].fundingRate | yes | string | — |
events[].premiumIndex | yes | string | — |
events[].round | yes | integer (int64) | — |
events[].timestamp | yes | integer (int64) | — |
pageNumber | yes | integer | — |
pageSize | yes | integer | — |
Response example
A sample 200 response body is attached to this operation as an OpenAPI example — see the Example panel on this page.
GET
Get funding rate events
Path Parameters
Instrument id (hex string, 0x...).
An instrument identifier (8-byte hash).
Example:
"42"
Optional start round (inclusive).
Required range:
x >= 0Optional end round (inclusive).
Required range:
x >= 0Zero-based page number. Accepts either a number or a numeric string.
Required range:
x >= 0Page size (number of items per page). Accepts either a number or a numeric string.
Required range:
x >= 0Get funding rate events